# uip/uip-neighbor.c File Reference

## Detailed Description

Database of link-local neighbors, used by IPv6 code and to be used by a future ARP code rewrite.

Author:
  Adam Dunkels <adam@sics.se>

Definition in file uip-neighbor.c.

`#include "uip-neighbor.h"`
`#include <string.h>`

Go to the source code of this file.

## Defines

#define | MAX_TIME 128
#define | ENTRIES 8

## Functions

void | uip_neighbor_init (void)
void | uip_neighbor_periodic (void)
void | uip_neighbor_add (uip_ipaddr_t ipaddr, struct uip_neighbor_addr *addr)
void | uip_neighbor_update (uip_ipaddr_t ipaddr)
uip_neighbor_addr * | uip_neighbor_lookup (uip_ipaddr_t ipaddr)